package tech.riemann.ims.enums;

import club.zhcs.lina.utils.enums.ICodeBook;
import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author mayong
 * @since 2024/12/7 10:10
 */
@Getter
@AllArgsConstructor
public enum ReviewResultEnum implements ICodeBook {

    PASS("1", "全部盘点"),
    UN_PASS("2", "部分盘点"),
    WAIT("3", "等待审核"),
    REJECT("4", "退回"),
    ;

    @EnumValue
    final String code;
    final String description;

}
